BizKitHub
DocsAPI ReferenceWebhook/bff/webhook/create
postWebhookAdmin BFF

/bff/webhook/create

Create a webhook endpoint (returns the signing secret once)

WebhookpostBffWebhookCreate

Parameters

JSON body

Request body

application/json
urlstringRequired
Length: 0–1024
descriptionstring | nullOptional
One of 2:
Variant 1
string
Length: 0–255
Variant 2
null
eventsstring[]Optional

Response schema

1 status code documented

200Success
idstringRequired
secretstringRequired

Response example

application/json
{
  "id": "example_id",
  "secret": "example_secret"
}

Request example

POST /bff/webhook/create

post
curl -X POST "https://api.bizkithub.com/bff/webhook/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "url": "example_url",
  "events": [
    "string"
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key